ClientEndpointConfig.Builder (WebSocket 1.1 API Documentation - Apache Tomcat 8.5.84)

Package javax.websocket

## Class ClientEndpointConfig.Builder

- java.lang.Object
- - javax.websocket.ClientEndpointConfig.Builder

- Enclosing interface:
    ClientEndpointConfig

      public static final class ClientEndpointConfig.Builder
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ClientEndpointConfig` | `build()` |
    `ClientEndpointConfig.Builder` | `configurator​(ClientEndpointConfig.Configurator configurator)` |
    `static ClientEndpointConfig.Builder` | `create()` |
    `ClientEndpointConfig.Builder` | `decoders​(java.util.List<java.lang.Class<? extends Decoder>> decoders)` |
    `ClientEndpointConfig.Builder` | `encoders​(java.util.List<java.lang.Class<? extends Encoder>> encoders)` |
    `ClientEndpointConfig.Builder` | `extensions​(java.util.List<Extension> extensions)` |
    `ClientEndpointConfig.Builder` | `preferredSubprotocols​(java.util.List<java.lang.String> preferredSubprotocols)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ClientEndpointConfig.Builder create()

    - #### build

          public ClientEndpointConfig build()

    - #### configurator

          public ClientEndpointConfig.Builder configurator​(ClientEndpointConfig.Configurator configurator)

    - #### preferredSubprotocols

          public ClientEndpointConfig.Builder preferredSubprotocols​(java.util.List<java.lang.String> preferredSubprotocols)

    - #### extensions

          public ClientEndpointConfig.Builder extensions​(java.util.List<Extension> extensions)

    - #### encoders

          public ClientEndpointConfig.Builder encoders​(java.util.List<java.lang.Class<? extends Encoder>> encoders)

    - #### decoders

          public ClientEndpointConfig.Builder decoders​(java.util.List<java.lang.Class<? extends Decoder>> decoders)